conn sys/oracle as sysdba
create or replace trigger lock_alter
before ddl
on accman.schema
begin
   if (
        ora_dict_obj_name = 'IMPORTANT_PROC'
        and
        ora_sysevent = 'CREATE'
   )
   then
        raise_application_error 
           (-20001,'Can''t Alter '||ora_dict_obj_name);
   end if;
end;
/
disconnect